package ink.wgink.module.activiti.enums.oa.assignee;

/**
 * @ClassName: AssigneeTypeEnum
 * @Description: 代理人类型
 * @Author: wanggeng
 * @Date: 2022/4/7 09:38
 * @Version: 1.0
 */
public enum AssigneeTypeEnum {
    APPOINT("appoint", "手动指定"),
    AUTO("auto", "自动获取"),
    FORM("form", "表单");

    private String value;
    private String text;

    AssigneeTypeEnum(String value, String text) {
        this.value = value;
        this.text = text;
    }

    public String getValue() {
        return value == null ? "" : value.trim();
    }

    public String getText() {
        return text == null ? "" : text.trim();
    }
}
